PLATFORM_DEVICE_DEL(9)

NAME
platform_device_del - remove a platform-level device

SYNOPSIS

void platform_device_del(struct platform_device * pdev);

ARGUMENTS

pdev
    platform device we're removing

DESCRIPTION

Note that this function will also release all memory- and port-based resources owned by the device (dev->resource). This function must _only_ be externally called in error cases. All other usage is a bug.

COPYRIGHT